### A free/open-source library for quantitative finance

Public Member Functions
BlackCallableZeroCouponBondEngine Class Reference

Black-formula callable zero coupon bond engine. More...

`#include <ql/experimental/callablebonds/blackcallablebondengine.hpp>`

Inheritance diagram for BlackCallableZeroCouponBondEngine:
[legend]

List of all members.

## Public Member Functions

| BlackCallableZeroCouponBondEngine (const Handle< Quote > &fwdYieldVol, const Handle< YieldTermStructure > &discountCurve)
| volatility is the quoted fwd yield volatility, not price vol
| BlackCallableZeroCouponBondEngine (const Handle< CallableBondVolatilityStructure > &yieldVolStructure, const Handle< YieldTermStructure > &discountCurve)
| volatility is the quoted fwd yield volatility, not price vol

## Detailed Description

Black-formula callable zero coupon bond engine.

Callable zero coupon bond, where the embedded (European) option price is assumed to obey the Black formula. Follows "European bond option" treatment in Hull, Fourth Edition, Chapter 20.

Warning:
  This class has yet to be tested.